SS7 und SIGTRAN sind keine Konkurrenten — SIGTRAN ist SS7 über IP getragen. Klassisches SS7 betreibt den MTP3/SCCP/TCAP/MAP-Stack über TDM-Verbindungen (MTP1/MTP2). SIGTRAN behält dieselbe Anwendungsschicht, ersetzt aber den TDM-Transport durch SCTP über IP und Adaptationsschichten wie M3UA (für MTP3) oder SUA (für SCCP).
Gleiche Anwendung, anderer Transport
Die Signalisierungsanwendungen — MAP für SMS und Roaming, ISUP für Anrufe, CAP für Intelligent Network — sind identisch, ob sie über TDM oder IP laufen. Was sich darunter ändert, ist der Transport. Klassisches SS7 nutzt MTP1 (physische Zeitschlitze) und MTP2 (Verbindungszuverlässigkeit), um Nachrichten zwischen benachbarten Punkten zu bewegen. SIGTRAN verwirft diese und nutzt SCTP über IP für den zuverlässigen Transport, mit einer Adaptationsschicht, die denselben Dienst bietet, den die verworfene Schicht bereitzustellen pflegte.
| Funktion | Classic SS7 (TDM) | SIGTRAN (IP) |
|---|---|---|
| Anwendung | MAP / ISUP / CAP | MAP / ISUP / CAP |
| Transaktion / SCCP | TCAP / SCCP | TCAP / SCCP — oder SUA ersetzt SCCP |
| Netzwerk (MTP3) | MTP3 | M3UA (MTP3-User Adaptation) |
| Link (MTP2) | MTP2 | SCTP-Assoziation |
| Physisch (MTP1) | E1/T1-Zeitschlitz | IP / Ethernet |
Warum Betreiber zu SIGTRAN wechselten
TDM-Signalisierungsverbindungen sind auf 64 kbit/s festgelegt, teuer zu skalieren und an Leitungsinfrastruktur gebunden. Signalisierung über IP zu tragen lässt Betreiber handelsübliche Paketnetze nutzen, Kapazität weit über einen einzelnen Zeitschlitz hinaus skalieren, die Signalisierung auf denselben Transport wie ihren Datenkern konvergieren und mit IP-nativen Systemen zusammenarbeiten. SCTP wurde eigens dafür entworfen: Es gibt SS7 den zuverlässigen, sequenzierten, redundanten Transport, den MTP2 bot, plus Multi-Homing für Pfadresilienz, die TDM nie hatte.
Die Adaptationsschichten
SIGTRAN ist eine Familie von Adaptationsschichten, die jeweils eine andere klassische Schicht ersetzen, sodass Betreiber an der ihnen passenden Grenze umsteigen können. M3UA ist die gängige Wahl — es ersetzt MTP3 und lässt SCCP-/ISUP-User über IP zwischen einem Application Server und einem Signalling Gateway laufen. SUA geht höher und trägt SCCP-User (TCAP/MAP) direkt über SCTP und überspringt MTP3 vollständig. M2PA ersetzt MTP2 für vollständige IP-basierte STP-Verbindungen, und M2UA/IUA transportieren Signalisierung unterer Schichten von einem Gateway ab.
| Schicht | RFC | Ersetzt / transportiert |
|---|---|---|
| M3UA | RFC 4666 | MTP3 – transportiert SCCP-/ISUP-Nutzer über SCTP |
| SUA | RFC 3868 | SCCP – transportiert TCAP-/MAP-Nutzer direkt |
| M2PA | RFC 4165 | MTP2 – Peer-IP-Links mit vollständigem MTP3 |
| M2UA | RFC 3331 | MTP2-Backhaul vom Gateway zum Controller |
| IUA | RFC 3057 | ISDN Q.921 Benutzeranpassung |
Wie sie koexistieren
In der Praxis betreiben die meisten Netze einen Hybrid. Ein Signalling Gateway terminiert Legacy-TDM-SS7 auf der einen Seite und leitet dieselben Nachrichten über SIGTRAN an IP-basierte Application Server auf der anderen weiter, sodass eine TDM-Gegenstelle und ein IP-Knoten die identischen MAP-/ISUP-Nachrichten transparent austauschen. Deshalb bleibt SS7-Wissen relevant: Die Anwendungssemantik, Adressierung und Sicherheitsbelange sind unverändert — nur das untere Ende des Stacks ist zu IP geworden.
Häufig gestellte Fragen
Ist SIGTRAN ein Ersatz für SS7?
Nicht ganz — SIGTRAN ist SS7 über IP transportiert. Die MTP3/SCCP/TCAP/MAP-Anwendungsschicht ist unverändert; SIGTRAN ersetzt nur den TDM-Transport (MTP1/MTP2) durch SCTP über IP plus eine Adaptationsschicht wie M3UA. Die Signalisierung selbst ist weiterhin SS7.
Was ist der Unterschied zwischen M3UA und SUA?
M3UA ersetzt MTP3, sodass SCCP und ISUP darüber unverändert über IP laufen. SUA ersetzt SCCP selbst und trägt SCCP-User wie TCAP/MAP direkt über SCTP ohne MTP3 oder M3UA. M3UA ist der häufigere Umstiegspunkt.
Warum verlagerten Betreiber SS7 auf IP?
Um den Kosten und der 64-kbit/s-Grenze von TDM-Signalisierungsverbindungen zu entkommen, Kapazität zu skalieren, die Signalisierung auf Paketinfrastruktur zu konvergieren und mit IP-nativen Systemen zusammenzuarbeiten. SCTP ergänzt zudem Multi-Homing und Redundanz je Fluss, die TDM-Verbindungen fehlten.
Ändert SIGTRAN die SS7-Sicherheit?
Die Risiken auf Anwendungsebene — MAP-Standort-Tracking, SMS-Abfangen — sind identisch, sodass die FS.11-Filterung weiterhin gilt. SIGTRAN ergänzt IP-Ebenen-Belange (die SCTP-Assoziationen absichern, Gegenstellen beschränken), behebt aber nicht die fehlende Nachrichtenauthentifizierung von SS7; eine Signalisierungs-Firewall bleibt erforderlich.
Was ist ein Signalling Gateway in SIGTRAN?
Ein Signalling Gateway sitzt an der TDM-zu-IP-Grenze: Es terminiert klassische SS7-Verbindungen auf der einen Seite und leitet dieselben MTP3-User-Nachrichten über SIGTRAN (M3UA/SCTP) an IP-Application-Server auf der anderen weiter, sodass Legacy- und IP-Knoten identische SS7-Signalisierung austauschen.
Quellenspezifikationen
Diese Seite basiert auf den veröffentlichten Standards. (Wird in einem neuen Tab geöffnet.)